# Visualization
TKV3d
Visual3d

# Visual3d_SetOfView Class Reference

`#include <Visual3d_SetOfView.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_SetOfView ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_EXPORT Standard_Boolean | Add (const Handle(Visual3d_View)&T)
Standard_EXPORT Standard_Boolean | Remove (const Handle(Visual3d_View)&T)
Standard_EXPORT void | Union (const Visual3d_SetOfView &B)
Standard_EXPORT void | Intersection (const Visual3d_SetOfView &B)
Standard_EXPORT void | Difference (const Visual3d_SetOfView &B)
Standard_EXPORT Standard_Boolean | Contains (const Handle(Visual3d_View)&T) const
Standard_EXPORT Standard_Boolean | IsASubset (const Visual3d_SetOfView &S) const
Standard_EXPORT Standard_Boolean | IsAProperSubset (const Visual3d_SetOfView &S) const

## Private Member Functions

Standard_EXPORT | Visual3d_SetOfView (const Visual3d_SetOfView &Other)

## Private Attributes

Visual3d_SetListOfSetOfView | myItems

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_SetOfView::Visual3d_SetOfView | ( |  | ) |

Standard_EXPORT Visual3d_SetOfView::Visual3d_SetOfView | ( | const Visual3d_SetOfView & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean Visual3d_SetOfView::Add | ( | const Handle(Visual3d_View)& | T | ) |

void Visual3d_SetOfView::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Visual3d_SetOfView::Contains | ( | const Handle(Visual3d_View)& | T | ) | const

Standard_EXPORT void Visual3d_SetOfView::Difference | ( | const Visual3d_SetOfView & | B | ) |

Standard_Integer Visual3d_SetOfView::Extent | ( |  | ) | const

Standard_EXPORT void Visual3d_SetOfView::Intersection | ( | const Visual3d_SetOfView & | B | ) |

Standard_EXPORT Standard_Boolean Visual3d_SetOfView::IsAProperSubset | ( | const Visual3d_SetOfView & | S | ) | const

Standard_EXPORT Standard_Boolean Visual3d_SetOfView::IsASubset | ( | const Visual3d_SetOfView & | S | ) | const

Standard_Boolean Visual3d_SetOfView::IsEmpty | ( |  | ) | const

void Visual3d_SetOfView::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_SetOfView::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_SetOfView::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Boolean Visual3d_SetOfView::Remove | ( | const Handle(Visual3d_View)& | T | ) |

Standard_EXPORT void Visual3d_SetOfView::Union | ( | const Visual3d_SetOfView & | B | ) |

## Field Documentation

Visual3d_SetListOfSetOfView Visual3d_SetOfView::myItems `[private]`

The documentation for this class was generated from the following file:

- Visual3d_SetOfView.hxx